package com.docus.sw.fenpan;

import lombok.Getter;

import java.util.List;

/**
 * 件（档）
 */
@Getter
public class Pieces {

    /**
     * 实际占用篇幅
     */
    private Integer size;

    /**
     * 文件类型
     */
    private FileTypeEnum fileTypeEnum;

    private String name;

    private String absolutePath;

    List<Document> documentList;

    private LevelType levelType;


    public Pieces(FileTypeEnum fileTypeEnum, String absolutePath, String name,LevelType levelType) {
        this.fileTypeEnum = fileTypeEnum;
        this.absolutePath = absolutePath;
        this.name = name;
        this.levelType = levelType;
    }


    public void put(List<Document> documentList) {
        this.documentList = documentList;

        int size = 0;
        for (Document document : documentList) {
            if (document.isA3()) {
                size += 2;
            } else {
                size += 1;
            }
        }
        this.size = size;
    }

}
